# $Id$
# Authority: dag

Summary: memory reporting tool
Name: smem
Version: 1.3
Release: 1%{?dist}
License: GPL
Group: System Environment/Base
URL: http://www.selenic.com/smem/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.selenic.com/smem/download/smem-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: python >= 2.4
Requires: python >= 2.4

%description
smem is a tool that can give numerous reports on memory usage on Linux systems.
Unlike existing tools, smem can report proportional set size (PSS), which is a
more meaningful representation of the amount of memory used by libraries and
applications in a virtual memory system.

Because large portions of physical memory are typically shared among multiple
applications, the standard measure of memory usage known as resident set size
(RSS) will significantly overestimate memory usage. PSS instead measures each
application's "fair share" of each shared area to give a realistic measure.

%prep
%setup

%build
%{__cc} %{optflags} -o smemcap smemcap.c

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 smem %{buildroot}%{_sbindir}/smem
%{__install} -Dp -m0755 smemcap %{buildroot}%{_sbindir}/smemcap
%{__install} -Dp -m0644 smem.8 %{buildroot}%{_mandir}/man8/smem.8

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING
%doc %{_mandir}/man8/smem.8*
%{_sbindir}/smem
%{_sbindir}/smemcap

%changelog
* Sat Jun 01 2013 Dag Wieers <dag@wieers.com> - 1.3-1
- Updated to release 1.3.

* Mon Mar 04 2013 Dag Wieers <dag@wieers.com> - 1.2-1
- Initial package. (using DAR)
